<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iformall.mapper.WxQuestionLogMapper">
    <resultMap id="BaseResultMap" type="com.iformall.domain.po.WxQuestionLog">
        <id column="id" jdbcType="BIGINT" property="id"/>
        <result column="tenant_id" jdbcType="VARCHAR" property="tenantId"/>
        <result column="user_id" jdbcType="BIGINT" property="userId"/>
        <result column="question_id" jdbcType="BIGINT" property="questionId"/>
        <result column="answer" jdbcType="VARCHAR" property="answer"/>
        <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
        <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    </resultMap>

    <sql id="allColumns">
	    `id`,`tenant_id`,`user_id`,`question_id`,`answer`,`create_time`,`update_time`
	</sql>

    <sql id="dynamicWhereConditions">
        where 1 = 1

        <if test=" null != id ">
            and `id` = #{id}
        </if>

        <if test=" null != tenantId ">
            and `tenant_id` = #{tenantId}
        </if>

        <if test=" null != userId ">
            and `user_id` = #{userId}
        </if>

        <if test=" null != questionId ">
            and `question_id` = #{questionId}
        </if>

        <if test=" null != tenantId ">
            and `tenant_id` = #{tenantId}
        </if>

        <if test=" null != answer ">
            and `answer` = #{answer}
        </if>

        <if test=" null != createTime ">
            and `create_time` = #{createTime}
        </if>

        <if test=" null != updateTime ">
            and `update_time` = #{updateTime}
        </if>


        <if test=" null != ids ">
            and id in
            <foreach collection="ids" index="index" item="idItem" open="(" separator="," close=")">
                #{idItem}
            </foreach>
        </if>
        <if test=" null != sortColumns">order by ${sortColumns}</if>
    </sql>

    <select id="findListWithAnswer" parameterType="com.iformall.domain.po.WxQuestionLog" resultMap="BaseResultMap">
        select
        <include refid="allColumns"/>
        from wx_question_log
        <include refid="dynamicWhereConditions"/>
        and `answer` is not null
    </select>

</mapper>
